package com.yunzhi.marketing.xlk.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.yunzhi.marketing.xlk.entity.CustomerSignatory;
import com.yunzhi.marketing.xlk.mapper.CustomerSignatoryMapper;
import com.yunzhi.marketing.xlk.service.ICustomerSignatoryService;
import com.yunzhi.marketing.xlk.vo.CustomerSignatoryVO;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 客户签约单  服务实现类
 * </p>
 *
 * @author jobob
 * @since 2021-07-30
 */
@Service
public class CustomerSignatoryServiceImpl extends ServiceImpl<CustomerSignatoryMapper, CustomerSignatory> implements ICustomerSignatoryService {

    @Override
    public IPage<CustomerSignatoryVO> getCustomerSignatoryList(IPage<CustomerSignatoryVO> pg, String buildingId, String name, String phone, String type, Integer orgId) {
        return this.baseMapper.getCustomerSignatoryList(pg,buildingId,name,phone,type,orgId);
    }
}
